*, *:before, *:after {
    box-sizing: border-box;
}

body {
    font-family: sans-serif;
    padding: 60px 20px;
}

@media (min-width: 600px) {
    body {
        padding: 60px;
    }
}

.range-slider {
    margin: 12px;
}

.range-slider {
    width: 100%;
}

.range-slider__range {
    -webkit-appearance: none;
    width: 280px;
    height: 10px;
    border-radius: 5px;
    background: #d7dcdf;
    outline: none;
    padding: 0;
    margin: 0;
}

    .range-slider__range::-webkit-slider-thumb {
        -webkit-appearance: none;
        appearance: none;
        width: 20px;
        height: 20px;
        border-radius: 50%;
        border-color: #c6c8ca;
        border-style: solid;
        background: #fff;
        cursor: pointer;
        -webkit-transition: background .15s ease-in-out;
        transition: background .15s ease-in-out;
        z-index: 1;
        position: relative;
    }

        .range-slider__range::-webkit-slider-thumb:hover {
            background: #3c82ff;
        }

    .range-slider__range:active::-webkit-slider-thumb {
        background: #3c82ff;
    }

    .range-slider__range::-moz-range-thumb {
        width: 20px;
        height: 20px;
        border: 0;
        border-radius: 50%;
        background: #3C82FF;
        cursor: pointer;
        -webkit-transition: background .15s ease-in-out;
        transition: background .15s ease-in-out;
        z-index: 1;
        position: relative;
    }

        .range-slider__range::-moz-range-thumb:hover {
            background: #1abc9c;
        }

    .range-slider__range:active::-moz-range-thumb {
        background: #1abc9c;
    }

.range-slider__value {
    display: inline-block;
    position: relative;
    width: 116px;
    color: #6d6e71;
    line-height: 20px;
    text-align: center;
    border-radius: 0px;
    background: #fff;
    padding: 5px 10px;
    margin-left: 8px;
    border: thin 2px #f1f1f2;
    border-style: solid;
    border-width: 3px;
    border-color: #f1f1f2;
}

::-moz-range-track {
    background: #3C82FF;
    border: 0;
}

input::-moz-focus-inner,
input::-moz-focus-outer {
    border: 0;
}



.fillme_salary, .fillme_loansPerMonth, .fillme_avgLoanSize, .fillme_brokerCommissionUpFront, .fillme_brokerCommissionTrail {
    width: 0%;
    background-color: #3C82FF;
    height: 10px;
    opacity: 0.8;
    z-index: 0;
    position: absolute;
    margin-top: 13px;
    border-radius: 5px;
}
